import styled from "styled-components";
export var StyledOverlay = styled.div.withConfig({
    displayName: "Overlay.styles__StyledOverlay",
    componentId: "sc-12f0e8e2-0"
})([
    "position:fixed;inset:0;z-index:",
    ";--plasma_private-overlay-background-color:",
    ";--plasma_private-overlay-backdrop-filter:",
    ";background:",
    ";backdrop-filter:",
    ";cursor:",
    ";"
], function(param) {
    var zIndex = param.zIndex;
    return zIndex;
}, function(param) {
    var backgroundColorToken = param.backgroundColorToken;
    return backgroundColorToken;
}, function(param) {
    var withBlur = param.withBlur;
    return withBlur ? 'blur(1rem)' : 'none';
}, function(param) {
    var transparent = param.transparent;
    return transparent ? 'transparent' : 'var(--plasma_private-overlay-background-color)';
}, function(param) {
    var transparent = param.transparent;
    return transparent ? 'none' : 'var(--plasma_private-overlay-backdrop-filter)';
}, function(param) {
    var clickable = param.clickable;
    return clickable ? 'pointer' : 'default';
});
